Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Sms.FailureReason

    java.lang.Object
      java.lang.Enum<Sms.FailureReason>
          com.skype.api.Sms.FailureReason

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Sms.FailureReason>

Enclosing class:
  Sms

    public static enum Sms.FailureReason

extends java.lang.Enum<Sms.FailureReason>
implements EnumConverting

Enum Constant Summary
`INSUFFICIENT_FUNDS`
`INVALID_CONFIRMATION_CODE`
`IP_BLOCKED`
`MISC_ERROR`
`NO_SENDERID_CAPABILITY`
`NO_SMS_CAPABILITY`
`NODE_BLOCKED`
`SERVER_CONNECT_FAILED`
`USER_BLOCKED`

Field Summary
`static int` | `INSUFFICIENT_FUNDS_VALUE`
`static int` | `INVALID_CONFIRMATION_CODE_VALUE`
`static int` | `IP_BLOCKED_VALUE`
`static int` | `MISC_ERROR_VALUE`
`static int` | `NO_SENDERID_CAPABILITY_VALUE`
`static int` | `NO_SMS_CAPABILITY_VALUE`
`static int` | `NODE_BLOCKED_VALUE`
`static int` | `SERVER_CONNECT_FAILED_VALUE`
`static int` | `USER_BLOCKED_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Sms.FailureReason` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Sms.FailureReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Sms.FailureReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MISC_ERROR

    public static final Sms.FailureReason MISC_ERROR

### SERVER_CONNECT_FAILED

    public static final Sms.FailureReason SERVER_CONNECT_FAILED

### NO_SMS_CAPABILITY

    public static final Sms.FailureReason NO_SMS_CAPABILITY

### INSUFFICIENT_FUNDS

    public static final Sms.FailureReason INSUFFICIENT_FUNDS

### INVALID_CONFIRMATION_CODE

    public static final Sms.FailureReason INVALID_CONFIRMATION_CODE

### USER_BLOCKED

    public static final Sms.FailureReason USER_BLOCKED

### IP_BLOCKED

    public static final Sms.FailureReason IP_BLOCKED

### NODE_BLOCKED

    public static final Sms.FailureReason NODE_BLOCKED

### NO_SENDERID_CAPABILITY

    public static final Sms.FailureReason NO_SENDERID_CAPABILITY

Field Detail

### MISC_ERROR_VALUE

    public static final int MISC_ERROR_VALUE

See Also:
  Constant Field Values

### SERVER_CONNECT_FAILED_VALUE

    public static final int SERVER_CONNECT_FAILED_VALUE

See Also:
  Constant Field Values

### NO_SMS_CAPABILITY_VALUE

    public static final int NO_SMS_CAPABILITY_VALUE

See Also:
  Constant Field Values

### INSUFFICIENT_FUNDS_VALUE

    public static final int INSUFFICIENT_FUNDS_VALUE

See Also:
  Constant Field Values

### INVALID_CONFIRMATION_CODE_VALUE

    public static final int INVALID_CONFIRMATION_CODE_VALUE

See Also:
  Constant Field Values

### USER_BLOCKED_VALUE

    public static final int USER_BLOCKED_VALUE

See Also:
  Constant Field Values

### IP_BLOCKED_VALUE

    public static final int IP_BLOCKED_VALUE

See Also:
  Constant Field Values

### NODE_BLOCKED_VALUE

    public static final int NODE_BLOCKED_VALUE

See Also:
  Constant Field Values

### NO_SENDERID_CAPABILITY_VALUE

    public static final int NO_SENDERID_CAPABILITY_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Sms.FailureReason[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Sms.FailureReason c : Sms.FailureReason.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Sms.FailureReason valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Sms.FailureReason get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.